#include <avr/io.h>
#include <util/delay.h>
#include <avr/sleep.h>
#include <avr/interrupt.h>

#include "lights.h"

int main(void)
{
	log_init();

	_delay_ms(1500);

	init_pwm();
	init_adc();
	init_tmr();

	pwmled_init();
	gpio_init();
	ambient_init();
	pattern_init();

	log_set_state(3);

	sei();
#if 1
	while (1)
		; // sleep_mode();
#endif

#if 0
	DDRB |= _BV(PB2);
	while (1) {
		PORTB |=  _BV( PB2 );
		_delay_ms(200);
		PORTB &=~ _BV( PB2 );
		_delay_ms(200);
	}
#endif
}
